
//      xqx.java: Implementation of SXS xqx:

package tamino.SXS.xqx;
import com.softwareag.ino.sxs.*;

/**
 * X-Query extensions
 * Most of the XPath functions presently not supported in X-Query plus a few extensions.
 * @author Berthold Daum
 * @version 1.0
*/
public class xqx extends ASXJBase {

  /**
   * The default constructor
   * (No other constructor allowed.)
  */
        public xqx () {
        }
        /**
         * query other document(s)
         * @param qpath parameter - XPath expression to identify document(s) within database (must include collection)
         * @return return value
        */
        public String qdoc (String qpath) throws java.lang.Exception
        {
                int p = qpath.indexOf("/", 0);
                if (p<0) throw(new Exception("Proper syntax is collection/path"));
                StringBuffer response = new StringBuffer(1024);
// do query to Tamino via SXS callback
                int ret = SxsXMLXql (qpath.substring(0,p), qpath.substring(p+1), response);
// error handling
                if (ret != 0)   
               {
        int msgNo = SxsGetMsgNo ();     // identify the callback error
                
        switch (msgNo)
        {
        case INO_ERROR:
                StringBuffer msgBuf = new StringBuffer ( );             
                int inoMsgNo = SxsGetInoMsgNo ( );      // Get the Tamino Server message number
                ret = SxsXMLGetMessage (msgBuf);        // Get the Tamino Server messageline
                throw (new Exception("INO_ERROR: "+inoMsgNo+" "+msgBuf));

        default:
                String msg = SxsGetMsgText ();  // Get the SXS message corresponding to callback error
                throw (new Exception("SXS Error: "+msgNo+" "+msg));
        
        }
                }
// end of error handling
// Create document string
                String  docstr = response.toString();
// We have to isolate the returned node(s)
                int t = docstr.indexOf("<xql:result>", 0)+12;
                if (t >= 12) {
                  int e = docstr.indexOf("</xql:result>", t);
                  return docstr.substring(t,e);
                }
                return "";
                // To delete qdoc, remove it here and from Install.xml.
        }
        /**
         * concatenate two strings
         * @param op1 first string
         * @param op2 second string
         * @return return value
        */
        public String concat (String op1, String op2)
        {
                return op1+op2;
                // To delete concat, remove it here and from Install.xml.
        }
        /**
         * concatenate three strings
         * @param op1 first string
         * @param op2 second string
         * @param op3 third string
         * @return return value
        */
        public String concat3 (String op1, String op2, String op3)
        {
                return op1+op2+op3;
                // To delete concat3, remove it here and from Install.xml.
        }
        /**
         * Concatenate 4 strings
         * @param op1 first string
         * @param op2 second string
         * @param op3 third string
         * @param op4 fourth string
         * @return return value
        */
        public String concat4 (String op1, String op2, String op3, String op4)
        {
                 return op1+op2+op3+op4;
                // To delete concat4, remove it here and from Install.xml.
        }
        /**
         * String starts with Substring
         * @param op1 base string
         * @param op2 substring
         * @return return value
        */
        public boolean startsWith (String op1, String op2)
        {
                return op1.startsWith(op2);
               // To delete startsWith, remove it here and from Install.xml.
        }
        /**
         * the contains function, true if op1 contains op2
         * @param op1 base string
         * @param op2 substring
         * @return return value
        */
        public boolean contains (String op1, String op2)
        {
               return (op1.indexOf(op2) >= 0);
                // To delete contains, remove it here and from Install.xml.
        }
        /**
         * substringBefore, returns substring before op2
         * @param op1 base string
         * @param op2 separating substring
         * @return return value
        */
        public String substringBefore (String op1, String op2)
        {
                int i = op1.indexOf(op2);
                if (i > 0)  return op1.substring(0,i);
               return "";
                // To delete substringBefore, remove it here and from Install.xml.
        }
        /**
         * substringAfter - returns substring after op2
         * @param op1 base string
         * @param op2 separating substring
         * @return return value
        */
        public String substringAfter (String op1, String op2)
        {
                int i = op1.indexOf(op2);
                if (i >= 0) {
                   int b = op2.length()+i;
                   if (b <op1.length()) {
                      return op1.substring(b);
                   }
                }
                return "";
                // To delete substringAfter, remove it here and from Install.xml.
        }
        /**
         * substring - returns substring by position and length
         * @param s parameter - base string
         * @param start parameter
         * @param length parameter - if length is < 0 the substring from start to end of string
         * @return return value
        */
        public String substring (String s, int start, int length)
        {
                start--; // Java counts from 0, Xpath from 1
                if (length < 0)  return s.substring(start);
                return s.substring(start,start+length);
                // To delete substring, remove it here and from Install.xml.
        }
        /**
         * trim - removes whitespace from begin and end
         * @param s string
         * @return return value
        */
        public String trim (String s)
        {
                return s.trim();
                // To delete trim, remove it here and from Install.xml.
        }
        /**
         * length - returns length of operand string
         * @param s parameter
         * @return return value
        */
        public int stringLength (String s)
        {
               return s.length();
                // To delete stringLength, remove it here and from Install.xml.
        }
        /**
         * normalizeSpace - removes white space from begin and end, replaces whitespace within string with single blank
         * @param s string
         * @return return value
        */
        public String normalizeSpace (String s)
        {
             StringBuffer sb = new StringBuffer(s.length());
            boolean whiteSpace = true;
            for (int i=0; i < s.length(); i++) {
              char c = s.charAt(i);
              if ((c==' ')||(c==13)||(c==10)||(c==9)) {
                if (!whiteSpace) {
                  whiteSpace = true;
                  sb.append(' ');
                }
              } else {
                sb.append(c);
                whiteSpace = false;
              }
            }
            if (whiteSpace) {
              sb.deleteCharAt(sb.length()-1);
            }
            return sb.toString();
        }
        // To delete normalizeSpace, remove it here and from Install.xml.
}

