//  xsdTypes.java: Implementation of SXS xsd:
package tamino.SXS.xsd;
import com.softwareag.ino.sxs.*;
import java.text.SimpleDateFormat;
import java.util.Date;
// Javadoc comments.
/**
 * xsd data type support for queries
 * @author Berthold Daum
 * @version 1.0
*/
public class xsd extends ASXJBase {
  /**
   * The default constructor
   * (No other constructor allowed.)
  */
        public xsd () {
        }
  /**
   * comparison of XSD (ISO 8601) date/time 
   * @param op1 date1 (XML Schema date, dateTime, time)
   * @param op2 date2 (XML Schema date, dateTime, time)
   * @return comparison result: 
   *         -1 (op1 < op2), 0 (op1 = op2), 1 (op1 > op2)
  */
        public int dtComp (String op1, String op2) 
                        throws java.text.ParseException
        {
          Date d1 = toDate(op1);
          Date d2 = toDate(op2);
          return d1.compareTo(d2);
  // To delete dateComp, remove it here and from Install.xml.
        }
  /**
   * current() - return current data as ISO 8601 string
   * @return formatted string with current date and time   (yyyy-MM-dd'T'HH:mm:ss)
  */
        public String current ()
        {
          SimpleDateFormat df2 = 
            new SimpleDateFormat ( "yyyy-MM-dd'T'HH:mm:ss" );
          return df2.format(new Date());
   // To delete current, remove it here and from Install.xml.
        }
  /**
   * Convert lexical XML Schema date/time representation 
   * to Java Date format
   * @param s input string
   * @return Date value
  */
        private Date toDate(String s) 
                     throws java.text.ParseException
        { 
          // determine formatting string
          String f = (s.indexOf("T",0) >= 0 ? 
                       "yyyy-MM-dd'T'HH:mm:ss" : 
                       (s.indexOf(":", 1) >= 0 ? 
                                 "HH:mm:ss" : "yyyy-MM-dd"));
          // check for explicit time zone
          int p = Math.max (s.indexOf("+", 8),s.indexOf("-", 8));
          if (p >= 0) {
            f += "z"; // indicate time zone in formatting string
            s = s.substring(0,p-1)+"GMT"+s.substring(p);   // keep SimpleDateFormat happy
          }
          else if (s.charAt(s.length()-1) == 'Z') {
            // check for UTC time zone
            f += "z";
            s = s.substring(0,s.length()-1) + "UTC";
          }
          // create SimpleDateFormat object
          SimpleDateFormat df = new SimpleDateFormat ( f );
          // and use it as a parser
          return df.parse(s);
        }
}


 
