/********************************************************
 *  Copyright (C) 2003 SOFTWARE AG, All Rights reserved
 ********************************************************
 *  - ask a Tamino database for its version number
 ********************************************************/

#include <stdio.h>
#include "tac.h"

#define checkERROR(a)	if(a != TAC_SUCCESS) goto error

int main()
{
	TAC_HANDLE handle;
	const char *response;

	/* initialize the API */
	if ((handle = tac_init("mydb")) < 0) goto error;

	/* ask for the Tamino version */
	checkERROR(tac_diagnose(handle, "version"));

	/* display the Tamino response */
	checkERROR(tac_last_xml_response(handle, &response));
	printf("%s", response);

	/* finalize the API */
	checkERROR(tac_end(handle));

	return 0;

/* error handling */
error:
	(void) tac_get_messagetext(handle, &response);
	printf("%s\n", response);
	tac_end(handle);

	return 1;
}
