//
//	FindinSite-CD-JS-HelpIndex database taminoxmlserver
//
//	Copyright (c) 2016-2021 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA
//
var taminoxmlserver = {
    baseurls: ["../"],
    varname: "taminoxmlserver",
        tree: [
            { url: "about/about.htm", title: "About this Documentation",
              tree: [
                  { url: "about/document_conventions.htm", title: "Document Conventions" },
                  { url: "about/online_information.htm", title: "Online Information and Support" },
                  { url: "about/data_protection.htm", title: "Data Protection" },
              ]
            },
            { url: "relnotes/rnover.htm", title: "Release Notes",
              tree: [
                  { url: "relnotes/rnmodi.htm", title: "Modifications for Tamino XML Server 10.7" },
                  { url: "relnotes/rnmisc.htm", title: "Miscellaneous Topics" },
              ]
            },
            { url: "concepts/cfintro.htm", title: "Introducing Tamino",
              tree: [
                  { url: "concepts/background.htm", title: "Background" },
                  { url: "concepts/concepts.htm", title: "Concepts" },
                  { url: "concepts/cfgenarc.htm", title: "General Architecture" },
                  { url: "concepts/cmptas.htm", title: "Tamino Product Components" },
                  { url: "concepts/cfhow.htm", title: "Working with Tamino" },
                  { url: "concepts/cfadvan.htm", title: "Conclusion: Advantages of Tamino XML Server in a Nutshell" },
              ]
            },
            { url: "afterinstall/installover.htm", title: "Setting Up Tamino",
              tree: [
                  { url: "afterinstall/prestart.htm", title: "Before You Start Using Tamino" },
              ]
            },
            { url: "getstart/gsover.htm", title: "Getting Started",
              tree: [
                  { url: "getstart/gsintro.htm", title: "Introduction" },
                  { url: "getstart/gsbasics.htm", title: "Basic Concepts: Doctype, Collection, Schema" },
                  { url: "getstart/starting.htm", title: "Starting Tamino" },
                  { url: "getstart/gscreadb.htm", title: "Creating a Database" },
                  { url: "getstart/gsstrtdb.htm", title: "Starting and Stopping the Database" },
                  { url: "getstart/gsworkschema.htm", title: "Working with DTDs and Schemas" },
                  { url: "getstart/gsdefineschema.htm", title: "Defining a Schema" },
                  { url: "getstart/gsloadxml.htm", title: "Loading XML Objects into the Database" },
                  { url: "getstart/gsloadnonxml.htm", title: "Loading non-XML Objects into the Database" },
                  { url: "getstart/gsretrievxq.htm", title: "Retrieving Objects from the Database Using XQuery" },
                  { url: "getstart/gsbackup.htm", title: "Backup and Restore" },
                  { url: "getstart/gswhere.htm", title: "Where to go from here" },
              ]
            },
            { url: "migrate/migover.htm", title: "Migration Guide",
              tree: [
                  { url: "migrate/migmain.htm", title: "General" },
                  { url: "migrate/migdown.htm", title: "Upgrading and Downgrading Using SET VERSION" },
                  { url: "migrate/migapp.htm", title: "Migrating Applications" },
              ]
            },
            { url: "tii/tiiover.htm", title: "Tamino Interactive Interface",
              tree: [
                  { url: "tii/tiiintro.htm", title: "Introducing the Tamino Interactive Interface" },
                  { url: "tii/tiigetstart.htm", title: "Starting the Tamino Interactive Interface" },
                  { url: "tii/tiielements.htm", title: "Common Elements of the Tamino Interactive Interface" },
                  { url: "tii/tiiwork.htm", title: "Working with the Tamino Interactive Interface" },
                  { url: "tii/tiixmlquery.htm", title: "Reference: XQuery" },
                  { url: "tii/tiiquery.htm", title: "Reference: X-Query" },
                  { url: "tii/tiidelete.htm", title: "Reference: Delete" },
                  { url: "tii/tiiload.htm", title: "Reference: Load" },
                  { url: "tii/tiidefine.htm", title: "Reference: Define" },
                  { url: "tii/tiiundefine.htm", title: "Reference: Undefine" },
                  { url: "tii/tiidiagnose.htm", title: "Reference: Diagnose" },
                  { url: "tii/tiiauthentication.htm", title: "Reference: Authentication" },
              ]
            },
            { url: "loaders/ldover.htm", title: "Tamino Data Loader",
              tree: [
                  { url: "loaders/Possibilities.htm", title: "Loading Data into Tamino" },
                  { url: "loaders/ugfastld.htm", title: "The Tamino Data Loader" },
              ]
            },
            { url: "htreq/fhover.htm", title: "Tamino Forms Handler",
              tree: [
                  { url: "htreq/fhcreate.htm", title: "Creating an XML Document" },
                  { url: "htreq/fhquery.htm", title: "Sending Queries to Tamino" },
                  { url: "htreq/fhxsl.htm", title: "Using XSL Processing Instructions" },
                  { url: "htreq/fhlimits.htm", title: "Limitations" },
              ]
            },
            { url: "inodav/overview.htm", title: "Tamino WebDAV Functionality",
              tree: [
                  { url: "inodav/standard.htm", title: "The WebDAV Standard" },
                  { url: "inodav/methodsbas.htm", title: "Basic Methods" },
                  { url: "inodav/methodsprop.htm", title: "Properties" },
                  { url: "inodav/methodsvers.htm", title: "Versioning" },
                  { url: "inodav/methodssec.htm", title: "Security" },
                  { url: "inodav/methodssrch.htm", title: "Searching" },
                  { url: "inodav/davino.htm", title: "WebDAV and Tamino" },
              ]
            },
            { url: "birt/overview.htm", title: "Tamino Reporting",
              tree: [
                  { url: "birt/eclipsebirt.htm", title: "Eclipse and BIRT" },
                  { url: "birt/install.htm", title: "Installing the Tamino Reporting Feature" },
                  { url: "birt/create.htm", title: "Creating a Report that Retrieves Data from Tamino" },
                  { url: "birt/birt_rte.htm", title: "Deploying the Tamino Reporting Runtime Engine" },
                  { url: "birt/deploy.htm", title: "Deploying the Report to an Application Server" },
                  { url: "birt/running.htm", title: "Running the Report" },
              ]
            },
            { url: "manager/overview.htm", title: "Tamino Manager",
              tree: [
                  { url: "manager/intro.htm", title: "Introduction to inoadmin" },
                  { url: "manager/features.htm", title: "inoadmin Features" },
                  { url: "manager/security.htm", title: "Tamino Security" },
                  { url: "manager/adcon.htm", title: "Administration Considerations" },
              ]
            },
            { url: "backup/bgover.htm", title: "Backup Guide",
              tree: [
                  { url: "backup/backup_strategies.htm", title: "General Backup Strategies" },
                  { url: "backup/ugbackup.htm", title: "Internal Backup and Restore in Tamino" },
                  { url: "backup/bg_disaster_recovery.htm", title: "Disaster Recovery" },
              ]
            },
            { url: "replication/rpover.htm", title: "Replication Guide" },
            { url: "ha/ha.htm", title: "High Availability" },
            { url: "tslref/tslover.htm", title: "Tamino XML Schema Reference Guide",
              tree: [
                  { url: "tslref/intlogi.htm", title: "TSD Logical: Definitions" },
                  { url: "tslref/all.htm", title: "xs:all" },
                  { url: "tslref/annotat.htm", title: "xs:annotation" },
                  { url: "tslref/any.htm", title: "xs:any" },
                  { url: "tslref/anyAttri.htm", title: "xs:anyAttribute" },
                  { url: "tslref/appinfo.htm", title: "xs:appinfo" },
                  { url: "tslref/attribut.htm", title: "xs:attribute" },
                  { url: "tslref/attriGrp.htm", title: "xs:attributeGroup" },
                  { url: "tslref/choice.htm", title: "xs:choice" },
                  { url: "tslref/complCntnt.htm", title: "xs:complexContent" },
                  { url: "tslref/complTyp.htm", title: "xs:complexType" },
                  { url: "tslref/xsdoc.htm", title: "xs:documentation" },
                  { url: "tslref/element.htm", title: "xs:element" },
                  { url: "tslref/enumerat.htm", title: "xs:enumeration" },
                  { url: "tslref/extnsion.htm", title: "xs:extension" },
                  { url: "tslref/xsfield.htm", title: "xs:field" },
                  { url: "tslref/fdigits.htm", title: "xs:fractionDigits" },
                  { url: "tslref/group.htm", title: "xs:group" },
                  { url: "tslref/import.htm", title: "xs:import" },
                  { url: "tslref/include.htm", title: "xs:include" },
                  { url: "tslref/xskey.htm", title: "xs:key" },
                  { url: "tslref/keyref.htm", title: "xs:keyref" },
                  { url: "tslref/xlength.htm", title: "xs:length" },
                  { url: "tslref/list.htm", title: "xs:list" },
                  { url: "tslref/maxExclusive.htm", title: "xs:maxExclusive" },
                  { url: "tslref/maxInclusive.htm", title: "xs:maxInclusive" },
                  { url: "tslref/mxlength.htm", title: "xs:maxLength" },
                  { url: "tslref/minExclusive.htm", title: "xs:minExclusive" },
                  { url: "tslref/minInclusive.htm", title: "xs:minInclusive" },
                  { url: "tslref/minLength.htm", title: "xs:minLength" },
                  { url: "tslref/notation.htm", title: "xs:notation" },
                  { url: "tslref/pattern.htm", title: "xs:pattern" },
                  { url: "tslref/restrict.htm", title: "xs:restriction" },
                  { url: "tslref/xschema.htm", title: "xs:schema" },
                  { url: "tslref/selector.htm", title: "xs:selector" },
                  { url: "tslref/sequence.htm", title: "xs:sequence" },
                  { url: "tslref/simplCnt.htm", title: "xs:simpleContent" },
                  { url: "tslref/simplTyp.htm", title: "xs:simpleType" },
                  { url: "tslref/tdigits.htm", title: "xs:totalDigits" },
                  { url: "tslref/union.htm", title: "xs:union" },
                  { url: "tslref/xsunique.htm", title: "xs:unique" },
                  { url: "tslref/whiteSpace.htm", title: "xs:whiteSpace" },
                  { url: "tslref/nsxmlschema.htm", title: "Features of the W3C XML Schema that are Not Supported by Tamino" },
                  { url: "tslref/intphys.htm", title: "Tamino Extensions to XML Schema: List of Elements and Attributes" },
                  { url: "tslref/accesOpt.htm", title: "tsd:accessOptions" },
                  { url: "tslref/accPrdic.htm", title: "tsd:accessPredicate" },
                  { url: "tslref/adminInf.htm", title: "tsd:adminInfo" },
                  { url: "tslref/alternat.htm", title: "tsd:alternate" },
                  { url: "tslref/attrInfo.htm", title: "tsd:attributeInfo" },
                  { url: "tslref/case1st.htm", title: "tsd:caseFirst" },
                  { url: "tslref/caseLevl.htm", title: "tsd:caseLevel" },
                  { url: "tslref/collatio.htm", title: "tsd:collation" },
                  { url: "tslref/collection.htm", title: "tsd:collection" },
                  { url: "tslref/collRef.htm", title: "tsd:collectionRef" },
                  { url: "tslref/compress.htm", title: "tsd:compress" },
                  { url: "tslref/computed.htm", title: "tsd:computed" },
                  { url: "tslref/content.htm", title: "tsd:content" },
                  { url: "tslref/created.htm", title: "tsd:created" },
                  { url: "tslref/default.htm", title: "tsd:default" },
                  { url: "tslref/delete.htm", title: "tsd:delete" },
                  { url: "tslref/deref.htm", title: "tsd:dereference" },
                  { url: "tslref/doctype.htm", title: "tsd:doctype" },
                  { url: "tslref/elemInfo.htm", title: "tsd:elementInfo" },
                  { url: "tslref/field.htm", title: "tsd:field" },
                  { url: "tslref/french.htm", title: "tsd:french" },
                  { url: "tslref/function.htm", title: "tsd:function" },
                  { url: "tslref/ignUpd.htm", title: "tsd:ignoreUpdate" },
                  { url: "tslref/index.htm", title: "tsd:index" },
                  { url: "tslref/insert.htm", title: "tsd:insert" },
                  { url: "tslref/language.htm", title: "tsd:language" },
                  { url: "tslref/logical.htm", title: "tsd:logical" },
                  { url: "tslref/map.htm", title: "tsd:map" },
                  { url: "tslref/modified.htm", title: "tsd:modified" },
                  { url: "tslref/multipath.htm", title: "tsd:multiPath" },
                  { url: "tslref/multiple.htm", title: "tsd:multiple" },
                  { url: "tslref/name.htm", title: "tsd:name" },
                  { url: "tslref/native.htm", title: "tsd:native" },
                  { url: "tslref/noconver.htm", title: "tsd:noConversion" },
                  { url: "tslref/tslNAdaF.htm", title: "tsd:nodeAdabasField" },
                  { url: "tslref/nodePara.htm", title: "tsd:nodeParameter" },
                  { url: "tslref/nodeRef.htm", title: "tsd:nodeRef" },
                  { url: "tslref/tslNSQL.htm", title: "tsd:nodeSQL" },
                  { url: "tslref/nonXML.htm", title: "tsd:nonXML" },
                  { url: "tslref/normaliz.htm", title: "tsd:normalization" },
                  { url: "tslref/objctRef.htm", title: "tsd:objectRef" },
                  { url: "tslref/onBinaryInsert.htm", title: "tsd:onBinaryInsert" },
                  { url: "tslref/onDelete.htm", title: "tsd:onDelete" },
                  { url: "tslref/onInsert.htm", title: "tsd:onInsert" },
                  { url: "tslref/onProces.htm", title: "tsd:onProcess" },
                  { url: "tslref/onTextInsert.htm", title: "tsd:onTextInsert" },
                  { url: "tslref/onUpdate.htm", title: "tsd:onUpdate" },
                  { url: "tslref/parameter.htm", title: "tsd:parameter" },
                  { url: "tslref/parameters.htm", title: "tsd:parameters" },
                  { url: "tslref/physical.htm", title: "tsd:physical" },
                  { url: "tslref/primaryK.htm", title: "tsd:primaryKeyColumn" },
                  { url: "tslref/pure.htm", title: "tsd:pure" },
                  { url: "tslref/read.htm", title: "tsd:read" },
                  { url: "tslref/reference.htm", title: "tsd:reference" },
                  { url: "tslref/refers.htm", title: "tsd:refers" },
                  { url: "tslref/tsd-schema.htm", title: "tsd:schema" },
                  { url: "tslref/schemaInfo.htm", title: "tsd:schemaInfo" },
                  { url: "tslref/tsd-server.htm", title: "tsd:server" },
                  { url: "tslref/shadowXML.htm", title: "tsd:shadowXML" },
                  { url: "tslref/standard.htm", title: "tsd:standard" },
                  { url: "tslref/shadonly.htm", title: "tsd:storeShadowOnly" },
                  { url: "tslref/strength.htm", title: "tsd:strength" },
                  { url: "tslref/strucIdx.htm", title: "tsd:structureIndex" },
                  { url: "tslref/tslSTAda.htm", title: "tsd:subTreeAdabas" },
                  { url: "tslref/tslSTAPE.htm", title: "tsd:subTreeAdabasPE" },
                  { url: "tslref/tslSTSQL.htm", title: "tsd:subTreeSQL" },
                  { url: "tslref/systemG.htm", title: "tsd:systemGeneratedIdentity" },
                  { url: "tslref/text.htm", title: "tsd:text" },
                  { url: "tslref/trigger.htm", title: "tsd:trigger" },
                  { url: "tslref/unique.htm", title: "tsd:unique" },
                  { url: "tslref/update.htm", title: "tsd:update" },
                  { url: "tslref/version.htm", title: "tsd:version" },
                  { url: "tslref/which.htm", title: "tsd:which" },
                  { url: "tslref/xTension.htm", title: "tsd:xTension" },
              ]
            },
            { url: "xqueryref/xqr-over.htm", title: "XQuery 4 Reference Guide",
              tree: [
                  { url: "xqueryref/xqr-intro.htm", title: "Introduction" },
                  { url: "xqueryref/xqr-lexical.htm", title: "Lexical Structure" },
                  { url: "xqueryref/xqr-expressions-over.htm", title: "Syntax Constructs",
                    tree: [
                        { url: "xqueryref/xqr-expressions-toc.htm", title: "Syntax Constructs Ordered by Categories" },
                        { url: "xqueryref/xqr-expressions-toc-alpha.htm", title: "Syntax Constructs in Alphabetical Order",
                          tree: [
                              { url: "xqueryref/ref-AbbreviatedStep.htm", title: "AbbreviatedStep" },
                              { url: "xqueryref/ref-AbsolutePathExpr.htm", title: "AbsolutePathExpr" },
                              { url: "xqueryref/ref-AdditiveExpr.htm", title: "AdditiveExpr" },
                              { url: "xqueryref/ref-AndExpr.htm", title: "AndExpr" },
                              { url: "xqueryref/ref-AnyKindTest.htm", title: "AnyKindTest" },
                              { url: "xqueryref/ref-AttributeList.htm", title: "AttributeList" },
                              { url: "xqueryref/ref-AttributeTest.htm", title: "AttributeTest" },
                              { url: "xqueryref/ref-AttributeValue.htm", title: "AttributeValue" },
                              { url: "xqueryref/ref-AttributeValueContent.htm", title: "AttributeValueContent" },
                              { url: "xqueryref/ref-Axis.htm", title: "Axis" },
                              { url: "xqueryref/ref-AxisStep.htm", title: "AxisStep" },
                              { url: "xqueryref/ref-CommentTest.htm", title: "CommentTest" },
                              { url: "xqueryref/ref-CompCommentConstructor.htm", title: "CompCommentConstructor" },
                              { url: "xqueryref/ref-CompExpr.htm", title: "CompExpr" },
                              { url: "xqueryref/ref-CompPIConstructor.htm", title: "CompPIConstructor" },
                              { url: "xqueryref/ref-CompTextConstructor.htm", title: "CompTextConstructor" },
                              { url: "xqueryref/ref-ComputedAttributeConstructor.htm", title: "ComputedAttributeConstructor" },
                              { url: "xqueryref/ref-ComputedDocumentConstructor.htm", title: "ComputedDocumentConstructor" },
                              { url: "xqueryref/ref-ComputedElementConstructor.htm", title: "ComputedElementConstructor" },
                              { url: "xqueryref/ref-Constructor.htm", title: "Constructor" },
                              { url: "xqueryref/ref-DefaultCollationDecl.htm", title: "DefaultCollationDecl" },
                              { url: "xqueryref/ref-DefaultNamespaceDecl.htm", title: "DefaultNamespaceDecl" },
                              { url: "xqueryref/ref-DeleteClause.htm", title: "DeleteClause" },
                              { url: "xqueryref/ref-DirectCommentConstructor.htm", title: "DirectCommentConstructor" },
                              { url: "xqueryref/ref-ElementConstructor.htm", title: "ElementConstructor" },
                              { url: "xqueryref/ref-ElementContent.htm", title: "ElementContent" },
                              { url: "xqueryref/ref-ElementNameOrFunctionCall.htm", title: "ElementNameOrFunctionCall" },
                              { url: "xqueryref/ref-ElementTest.htm", title: "ElementTest" },
                              { url: "xqueryref/ref-EnclosedExpr.htm", title: "EnclosedExpr" },
                              { url: "xqueryref/ref-Expr.htm", title: "Expr" },
                              { url: "xqueryref/ref-ExprSequence.htm", title: "ExprSequence" },
                              { url: "xqueryref/ref-FLWORExpr.htm", title: "FLWORExpr" },
                              { url: "xqueryref/ref-FLWUExpr.htm", title: "FLWUExpr" },
                              { url: "xqueryref/ref-ForClause.htm", title: "ForClause" },
                              { url: "xqueryref/ref-FunctionDecl.htm", title: "FunctionDecl" },
                              { url: "xqueryref/ref-GeneralComp.htm", title: "GeneralComp" },
                              { url: "xqueryref/ref-GeneralStep.htm", title: "GeneralStep" },
                              { url: "xqueryref/ref-IfExpr.htm", title: "IfExpr" },
                              { url: "xqueryref/ref-InsertClause.htm", title: "InsertClause" },
                              { url: "xqueryref/ref-IntersectExceptExpr.htm", title: "IntersectExceptExpr" },
                              { url: "xqueryref/ref-ItemType.htm", title: "ItemType" },
                              { url: "xqueryref/ref-KindTest.htm", title: "KindTest" },
                              { url: "xqueryref/ref-LetClause.htm", title: "LetClause" },
                              { url: "xqueryref/ref-LibraryModule.htm", title: "LibraryModule" },
                              { url: "xqueryref/ref-Literal.htm", title: "Literal" },
                              { url: "xqueryref/ref-MainModule.htm", title: "MainModule" },
                              { url: "xqueryref/ref-ModuleDecl.htm", title: "ModuleDecl" },
                              { url: "xqueryref/ref-ModuleImport.htm", title: "ModuleImport" },
                              { url: "xqueryref/ref-MultiplicativeExpr.htm", title: "MultiplicativeExpr" },
                              { url: "xqueryref/ref-NamespaceDecl.htm", title: "NamespaceDecl" },
                              { url: "xqueryref/ref-NameTest.htm", title: "NameTest" },
                              { url: "xqueryref/ref-NoAxisStep.htm", title: "NoAxisStep" },
                              { url: "xqueryref/ref-NodeComp.htm", title: "NodeComp" },
                              { url: "xqueryref/ref-NodeTest.htm", title: "NodeTest" },
                              { url: "xqueryref/ref-NumericLiteral.htm", title: "NumericLiteral" },
                              { url: "xqueryref/ref-OrderByClause.htm", title: "OrderByClause" },
                              { url: "xqueryref/ref-OrExpr.htm", title: "OrExpr" },
                              { url: "xqueryref/ref-ParenthesizedExpr.htm", title: "ParenthesizedExpr" },
                              { url: "xqueryref/ref-PathExpr.htm", title: "PathExpr" },
                              { url: "xqueryref/ref-Pragma.htm", title: "Pragma" },
                              { url: "xqueryref/ref-PrimaryExpr.htm", title: "PrimaryExpr" },
                              { url: "xqueryref/ref-ProcessingInstructionTest.htm", title: "ProcessingInstructionTest" },
                              { url: "xqueryref/ref-Prolog.htm", title: "Prolog" },
                              { url: "xqueryref/ref-RangeExpr.htm", title: "RangeExpr" },
                              { url: "xqueryref/ref-RelativePathExpr.htm", title: "RelativePathExpr" },
                              { url: "xqueryref/ref-RenameClause.htm", title: "RenameClause" },
                              { url: "xqueryref/ref-ReplaceClause.htm", title: "ReplaceClause" },
                              { url: "xqueryref/ref-SequenceType.htm", title: "SequenceType" },
                              { url: "xqueryref/ref-SerializationSpec.htm", title: "SerializationSpec" },
                              { url: "xqueryref/ref-SortExpr.htm", title: "SortExpr" },
                              { url: "xqueryref/ref-SortSpecList.htm", title: "SortSpecList" },
                              { url: "xqueryref/ref-StepExpr.htm", title: "StepExpr" },
                              { url: "xqueryref/ref-StepQualifiers.htm", title: "StepQualifiers" },
                              { url: "xqueryref/ref-TaminoQPIExecution.htm", title: "TaminoQPIExecution" },
                              { url: "xqueryref/ref-TaminoQPIExplain.htm", title: "TaminoQPIExplain" },
                              { url: "xqueryref/ref-TaminoQPIInline.htm", title: "TaminoQPIInline" },
                              { url: "xqueryref/ref-TaminoQPIOptimization.htm", title: "TaminoQPIOptimization" },
                              { url: "xqueryref/ref-TextTest.htm", title: "TextTest" },
                              { url: "xqueryref/ref-TreatExpr.htm", title: "TreatExpr" },
                              { url: "xqueryref/ref-UnaryExpr.htm", title: "UnaryExpr" },
                              { url: "xqueryref/ref-UnionExpr.htm", title: "UnionExpr" },
                              { url: "xqueryref/ref-UpdateExpr.htm", title: "UpdateExpr" },
                              { url: "xqueryref/ref-UpdateIfExpr.htm", title: "UpdateIfExpr" },
                              { url: "xqueryref/ref-UpdateSequence.htm", title: "UpdateSequence" },
                              { url: "xqueryref/ref-UpdatingFunction.htm", title: "UpdatingFunction" },
                              { url: "xqueryref/ref-UpdatingFunctionDecl.htm", title: "UpdatingFunctionDecl" },
                              { url: "xqueryref/ref-ValueComp.htm", title: "ValueComp" },
                              { url: "xqueryref/ref-VarDecl.htm", title: "VarDecl" },
                              { url: "xqueryref/ref-VersionDecl.htm", title: "VersionDecl" },
                              { url: "xqueryref/ref-WhereClause.htm", title: "WhereClause" },
                              { url: "xqueryref/ref-Wildcard.htm", title: "Wildcard" },
                              { url: "xqueryref/ref-XmlProcessingInstruction.htm", title: "XmlProcessingInstruction" },
                              { url: "xqueryref/ref-XQueryModule.htm", title: "XQueryModule" },
                          ]
                        },
                    ]
                  },
                  { url: "xqueryref/xqr-functions-over.htm", title: "Functions",
                    tree: [
                        { url: "xqueryref/xqr-functions-toc.htm", title: "Functions Ordered by Categories" },
                        { url: "xqueryref/xqr-functions-toc-alpha.htm", title: "Functions in Alphabetical Order",
                          tree: [
                              { url: "xqueryref/ref-fn_abs.htm", title: "fn:abs" },
                              { url: "xqueryref/ref-fn_avg.htm", title: "fn:avg" },
                              { url: "xqueryref/ref-fn_boolean.htm", title: "fn:boolean" },
                              { url: "xqueryref/ref-fn_ceiling.htm", title: "fn:ceiling" },
                              { url: "xqueryref/ref-fn_collection.htm", title: "fn:collection" },
                              { url: "xqueryref/ref-fn_compare.htm", title: "fn:compare" },
                              { url: "xqueryref/ref-fn_concat.htm", title: "fn:concat" },
                              { url: "xqueryref/ref-fn_contains.htm", title: "fn:contains" },
                              { url: "xqueryref/ref-fn_count.htm", title: "fn:count" },
                              { url: "xqueryref/ref-fn_current-date.htm", title: "fn:current-date" },
                              { url: "xqueryref/ref-fn_current-dateTime.htm", title: "fn:current-dateTime" },
                              { url: "xqueryref/ref-fn_current-time.htm", title: "fn:current-time" },
                              { url: "xqueryref/ref-fn_data.htm", title: "fn:data" },
                              { url: "xqueryref/ref-fn_day-from-date.htm", title: "fn:day-from-date" },
                              { url: "xqueryref/ref-fn_day-from-dateTime.htm", title: "fn:day-from-dateTime" },
                              { url: "xqueryref/ref-fn_deep-equal.htm", title: "fn:deep-equal" },
                              { url: "xqueryref/ref-fn_distinct-values.htm", title: "fn:distinct-values" },
                              { url: "xqueryref/ref-fn_ends-with.htm", title: "fn:ends-with" },
                              { url: "xqueryref/ref-fn_expanded-QName.htm", title: "fn:expanded-QName" },
                              { url: "xqueryref/ref-fn_false.htm", title: "fn:false" },
                              { url: "xqueryref/ref-fn_floor.htm", title: "fn:floor" },
                              { url: "xqueryref/ref-fn_get-local-name-from-QName.htm", title: "fn:get-local-name-from-QName" },
                              { url: "xqueryref/ref-fn_get-namespace-from-QName.htm", title: "fn:get-namespace-from-QName" },
                              { url: "xqueryref/ref-fn_hours-from-dateTime.htm", title: "fn:hours-from-dateTime" },
                              { url: "xqueryref/ref-fn_hours-from-time.htm", title: "fn:hours-from-time" },
                              { url: "xqueryref/ref-fn_id.htm", title: "fn:id" },
                              { url: "xqueryref/ref-fn_idref.htm", title: "fn:idref" },
                              { url: "xqueryref/ref-fn_last.htm", title: "fn:last" },
                              { url: "xqueryref/ref-fn_local-name.htm", title: "fn:local-name" },
                              { url: "xqueryref/ref-fn_lower-case.htm", title: "fn:lower-case" },
                              { url: "xqueryref/ref-fn_matches.htm", title: "fn:matches" },
                              { url: "xqueryref/ref-fn_max.htm", title: "fn:max" },
                              { url: "xqueryref/ref-fn_min.htm", title: "fn:min" },
                              { url: "xqueryref/ref-fn_minutes-from-dateTime.htm", title: "fn:minutes-from-dateTime" },
                              { url: "xqueryref/ref-fn_minutes-from-time.htm", title: "fn:minutes-from-time" },
                              { url: "xqueryref/ref-fn_month-from-date.htm", title: "fn:month-from-date" },
                              { url: "xqueryref/ref-fn_month-from-dateTime.htm", title: "fn:month-from-dateTime" },
                              { url: "xqueryref/ref-fn_namespace-uri.htm", title: "fn:namespace-uri" },
                              { url: "xqueryref/ref-fn_node-name.htm", title: "fn:node-name" },
                              { url: "xqueryref/ref-fn_normalize-space.htm", title: "fn:normalize-space" },
                              { url: "xqueryref/ref-fn_not.htm", title: "fn:not" },
                              { url: "xqueryref/ref-fn_position.htm", title: "fn:position" },
                              { url: "xqueryref/ref-fn_put.htm", title: "fn:put" },
                              { url: "xqueryref/ref-fn_replace.htm", title: "fn:replace" },
                              { url: "xqueryref/ref-fn_reverse.htm", title: "fn:reverse" },
                              { url: "xqueryref/ref-fn_root.htm", title: "fn:root" },
                              { url: "xqueryref/ref-fn_round.htm", title: "fn:round" },
                              { url: "xqueryref/ref-fn_seconds-from-dateTime.htm", title: "fn:seconds-from-dateTime" },
                              { url: "xqueryref/ref-fn_seconds-from-time.htm", title: "fn:seconds-from-time" },
                              { url: "xqueryref/ref-fn_starts-with.htm", title: "fn:starts-with" },
                              { url: "xqueryref/ref-fn_string.htm", title: "fn:string" },
                              { url: "xqueryref/ref-fn_string-join.htm", title: "fn:string-join" },
                              { url: "xqueryref/ref-fn_string-length.htm", title: "fn:string-length" },
                              { url: "xqueryref/ref-fn_subsequence.htm", title: "fn:subsequence" },
                              { url: "xqueryref/ref-fn_substring.htm", title: "fn:substring" },
                              { url: "xqueryref/ref-fn_substring-after.htm", title: "fn:substring-after" },
                              { url: "xqueryref/ref-fn_substring-before.htm", title: "fn:substring-before" },
                              { url: "xqueryref/ref-fn_sum.htm", title: "fn:sum" },
                              { url: "xqueryref/ref-fn_tokenize.htm", title: "fn:tokenize" },
                              { url: "xqueryref/ref-fn_true.htm", title: "fn:true" },
                              { url: "xqueryref/ref-fn_upper-case.htm", title: "fn:upper-case" },
                              { url: "xqueryref/ref-fn_year-from-date.htm", title: "fn:year-from-date" },
                              { url: "xqueryref/ref-fn_year-from-dateTime.htm", title: "fn:year-from-dateTime" },
                              { url: "xqueryref/ref-ft_proximity-contains.htm", title: "ft:proximity-contains" },
                              { url: "xqueryref/ref-ft_text-contains.htm", title: "ft:text-contains" },
                              { url: "xqueryref/ref-tdf_getProperties.htm", title: "tdf:getProperties" },
                              { url: "xqueryref/ref-tdf_getProperty.htm", title: "tdf:getProperty" },
                              { url: "xqueryref/ref-tdf_isDescendantOf.htm", title: "tdf:isDescendantOf" },
                              { url: "xqueryref/ref-tdf_mkcol.htm", title: "tdf:mkcol" },
                              { url: "xqueryref/ref-tdf_resource.htm", title: "tdf:resource" },
                              { url: "xqueryref/ref-tdf_setProperty.htm", title: "tdf:setProperty" },
                              { url: "xqueryref/ref-tf_broaderTerm.htm", title: "tf:broaderTerm" },
                              { url: "xqueryref/ref-tf_broaderTerms.htm", title: "tf:broaderTerms" },
                              { url: "xqueryref/ref-tf_containsAdjacentText.htm", title: "tf:containsAdjacentText" },
                              { url: "xqueryref/ref-tf_containsNearText.htm", title: "tf:containsNearText" },
                              { url: "xqueryref/ref-tf_containsText.htm", title: "tf:containsText" },
                              { url: "xqueryref/ref-tf_content-type.htm", title: "tf:content-type" },
                              { url: "xqueryref/ref-tf_createAdjacentTextReference.htm", title: "tf:createAdjacentTextReference" },
                              { url: "xqueryref/ref-tf_createNearTextReference.htm", title: "tf:createNearTextReference" },
                              { url: "xqueryref/ref-tf_createNodeReference.htm", title: "tf:createNodeReference" },
                              { url: "xqueryref/ref-tf_createTextNode.htm", title: "tf:createTextNode" },
                              { url: "xqueryref/ref-tf_createTextReference.htm", title: "tf:createTextReference" },
                              { url: "xqueryref/ref-tf_document.htm", title: "tf:document" },
                              { url: "xqueryref/ref-tf_getCollation.htm", title: "tf:getCollation" },
                              { url: "xqueryref/ref-tf_getCollection.htm", title: "tf:getCollection" },
                              { url: "xqueryref/ref-tf_getCurrentUser.htm", title: "tf:get-current-user" },
                              { url: "xqueryref/ref-tf_getDocname.htm", title: "tf:getDocname" },
                              { url: "xqueryref/ref-tf_getInoId.htm", title: "tf:getInoId" },
                              { url: "xqueryref/ref-tf_getLastModified.htm", title: "tf:getLastModified" },
                              { url: "xqueryref/ref-tf_highlight.htm", title: "tf:highlight" },
                              { url: "xqueryref/ref-tf_narrowerTerm.htm", title: "tf:narrowerTerm" },
                              { url: "xqueryref/ref-tf_narrowerTerms.htm", title: "tf:narrowerTerms" },
                              { url: "xqueryref/ref-tf_nonXML-kind.htm", title: "tf:nonXML-kind" },
                              { url: "xqueryref/ref-tf_parse.htm", title: "tf:parse" },
                              { url: "xqueryref/ref-tf_phonetic.htm", title: "tf:phonetic" },
                              { url: "xqueryref/ref-tf_query.htm", title: "tf:query" },
                              { url: "xqueryref/ref-tf_serialize.htm", title: "tf:serialize" },
                              { url: "xqueryref/ref-tf_setDocname.htm", title: "tf:setDocname" },
                              { url: "xqueryref/ref-tf_stem.htm", title: "tf:stem" },
                              { url: "xqueryref/ref-tf_synonym.htm", title: "tf:synonym" },
                              { url: "xqueryref/ref-tf_text-content.htm", title: "tf:text-content" },
                              { url: "xqueryref/ref-xs_anyURI.htm", title: "xs:anyURI" },
                              { url: "xqueryref/ref-xs_base64Binary.htm", title: "xs:base64Binary" },
                              { url: "xqueryref/ref-xs_boolean.htm", title: "xs:boolean" },
                              { url: "xqueryref/ref-xs_byte.htm", title: "xs:byte" },
                              { url: "xqueryref/ref-xs_date.htm", title: "xs:date" },
                              { url: "xqueryref/ref-xs_dateTime.htm", title: "xs:dateTime" },
                              { url: "xqueryref/ref-xs_decimal.htm", title: "xs:decimal" },
                              { url: "xqueryref/ref-xs_double.htm", title: "xs:double" },
                              { url: "xqueryref/ref-xs_duration.htm", title: "xs:duration" },
                              { url: "xqueryref/ref-xs_ENTITY.htm", title: "xs:ENTITY" },
                              { url: "xqueryref/ref-xs_float.htm", title: "xs:float" },
                              { url: "xqueryref/ref-xs_gDay.htm", title: "xs:gDay" },
                              { url: "xqueryref/ref-xs_gMonth.htm", title: "xs:gMonth" },
                              { url: "xqueryref/ref-xs_gMonthDay.htm", title: "xs:gMonthDay" },
                              { url: "xqueryref/ref-xs_gYear.htm", title: "xs:gYear" },
                              { url: "xqueryref/ref-xs_gYearMonth.htm", title: "xs:gYearMonth" },
                              { url: "xqueryref/ref-xs_hexBinary.htm", title: "xs:hexBinary" },
                              { url: "xqueryref/ref-xs_ID.htm", title: "xs:ID" },
                              { url: "xqueryref/ref-xs_IDREF.htm", title: "xs:IDREF" },
                              { url: "xqueryref/ref-xs_int.htm", title: "xs:int" },
                              { url: "xqueryref/ref-xs_integer.htm", title: "xs:integer" },
                              { url: "xqueryref/ref-xs_language.htm", title: "xs:language" },
                              { url: "xqueryref/ref-xs_long.htm", title: "xs:long" },
                              { url: "xqueryref/ref-xs_Name.htm", title: "xs:Name" },
                              { url: "xqueryref/ref-xs_NCName.htm", title: "xs:NCName" },
                              { url: "xqueryref/ref-xs_NMTOKEN.htm", title: "xs:NMTOKEN" },
                              { url: "xqueryref/ref-xs_negativeInteger.htm", title: "xs:negativeInteger" },
                              { url: "xqueryref/ref-xs_nonNegativeInteger.htm", title: "xs:nonNegativeInteger" },
                              { url: "xqueryref/ref-xs_nonPositiveInteger.htm", title: "xs:nonPositiveInteger" },
                              { url: "xqueryref/ref-xs_normalizedString.htm", title: "xs:normalizedString" },
                              { url: "xqueryref/ref-xs_positiveInteger.htm", title: "xs:positiveInteger" },
                              { url: "xqueryref/ref-xs_short.htm", title: "xs:short" },
                              { url: "xqueryref/ref-xs_string.htm", title: "xs:string" },
                              { url: "xqueryref/ref-xs_time.htm", title: "xs:time" },
                              { url: "xqueryref/ref-xs_token.htm", title: "xs:token" },
                              { url: "xqueryref/ref-xs_unsignedByte.htm", title: "xs:unsignedByte" },
                              { url: "xqueryref/ref-xs_unsignedInt.htm", title: "xs:unsignedInt" },
                              { url: "xqueryref/ref-xs_unsignedLong.htm", title: "xs:unsignedLong" },
                              { url: "xqueryref/ref-xs_unsignedShort.htm", title: "xs:unsignedShort" },
                          ]
                        },
                    ]
                  },
              ]
            },
            { url: "xqlref/xqlref-over.htm", title: "X-Query Reference Guide",
              tree: [
                  { url: "xqlref/xqlref-expr.htm", title: "Expressions",
                    tree: [
                        { url: "xqlref/abblpath.htm", title: "AbbrevAbsoluteLocPath" },
                        { url: "xqlref/abbxspec.htm", title: "AbbreviatedAxisSpecifier" },
                        { url: "xqlref/abbstep.htm", title: "AbbreviatedStep" },
                        { url: "xqlref/alocpath.htm", title: "AbsoluteLocationPath" },
                        { url: "xqlref/addexpr.htm", title: "AdditiveExpr" },
                        { url: "xqlref/andexpr.htm", title: "AndExpr" },
                        { url: "xqlref/argument.htm", title: "Argument" },
                        { url: "xqlref/axisspec.htm", title: "AxisSpecifier" },
                        { url: "xqlref/betwexpr.htm", title: "BetweenExpr" },
                        { url: "xqlref/equexpr.htm", title: "EqualityExpr" },
                        { url: "xqlref/expr.htm", title: "Expr" },
                        { url: "xqlref/filtexpr.htm", title: "FilterExpr" },
                        { url: "xqlref/funccall.htm", title: "FunctionCall" },
                        { url: "xqlref/locpath.htm", title: "LocationPath" },
                        { url: "xqlref/multexpr.htm", title: "MultiplicativeExpr" },
                        { url: "xqlref/nodetest.htm", title: "NodeTest" },
                        { url: "xqlref/nodetype.htm", title: "NodeType" },
                        { url: "xqlref/orexpr.htm", title: "OrExpr" },
                        { url: "xqlref/pathexpr.htm", title: "PathExpr" },
                        { url: "xqlref/predicat.htm", title: "Predicate" },
                        { url: "xqlref/predexpr.htm", title: "PredicateExpr" },
                        { url: "xqlref/primexpr.htm", title: "PrimaryExpr" },
                        { url: "xqlref/proxexpr.htm", title: "ProximityExpr" },
                        { url: "xqlref/relexpr.htm", title: "RelationalExpr" },
                        { url: "xqlref/rlocpath.htm", title: "RelativeLocationPath" },
                        { url: "xqlref/seqexpr.htm", title: "SequenceExpr" },
                        { url: "xqlref/setexpr.htm", title: "SetExpr" },
                        { url: "xqlref/sortbycl.htm", title: "SortByClause" },
                        { url: "xqlref/sortbych.htm", title: "SortByCharacteristics" },
                        { url: "xqlref/step.htm", title: "Step" },
                        { url: "xqlref/unryexpr.htm", title: "UnaryExpr" },
                    ]
                  },
                  { url: "xqlref/xqlref-fct.htm", title: "Functions",
                    tree: [
                        { url: "xqlref/avg.htm", title: "avg" },
                        { url: "xqlref/min.htm", title: "min" },
                        { url: "xqlref/max.htm", title: "max" },
                        { url: "xqlref/explain.htm", title: "ino:explain" },
                    ]
                  },
              ]
            },
            { url: "messages/msgsover.htm", title: "Messages and Codes" },
            { url: "messages/imsg.htm", title: "Messages and Codes: General Messages - Set 1" },
            { url: "messages/amsg.htm", title: "Messages and Codes: General Messages - Set 2" },
            { url: "examples/exover.htm", title: "Examples",
              tree: [
                  { url: "examples/persons.htm", title: "The Persons Database" },
                  { url: "examples/patient.htm", title: "The Patient Database" },
                  { url: "examples/telephone.htm", title: "The Telephone Database" },
                  { url: "examples/jazz.htm", title: "The Jazz Database" },
                  { url: "examples/xq-usecases.htm", title: "W3C XQuery Use Cases" },
                  { url: "examples/thesaurus.htm", title: "Thesaurus Examples" },
                  { url: "examples/userdict.htm", title: "User-Defined Dictionaries" },
              ]
            },
            { url: "general/glossary.htm", title: "Glossary" },
            { url: "xprog/xpover.htm", title: "X-Machine Programming",
              tree: [
                  { url: "xprog/xpintro.htm", title: "Introduction" },
                  { url: "xprog/xpsess.htm", title: "Session Handling" },
                  { url: "xprog/xpplhttp.htm", title: "Requests using Plain URL Addressing" },
                  { url: "xprog/xprspstr.htm", title: "Requests using X-Machine Commands" },
                  { url: "xprog/xpgen.htm", title: "General Requests" },
                  { url: "xprog/xpplain.htm", title: "Using Plain HTML Forms" },
                  { url: "xprog/xpplmime.htm", title: "Media Type Requirements" },
                  { url: "xprog/xphttpen.htm", title: "Character Encoding" },
                  { url: "xprog/xpind.htm", title: "Maintaining Tamino Indexes" },
              ]
            },
            { url: "tsl/tslover.htm", title: "Tamino XML Schema User Guide",
              tree: [
                  { url: "tsl/tslintro.htm", title: "Introduction" },
                  { url: "tsl/logschema.htm", title: "The Logical Schema" },
                  { url: "tsl/tsheader.htm", title: "The Schema Header" },
                  { url: "tsl/tsextlog.htm", title: "Tamino-Specific Extensions to the Logical Schema" },
                  { url: "tsl/tsextphys.htm", title: "Tamino-Specific Extensions to the Physical Schema" },
                  { url: "tsl/schemarelattr.htm", title: "Schema-Related Attributes in XML Documents" },
                  { url: "tsl/modschema.htm", title: "Schema Operations" },
                  { url: "tsl/tools.htm", title: "Tools for the Creation of Tamino Schemas" },
                  { url: "tsl/typfacet.htm", title: "Appendix 1: Valid Combinations of Restricting Facets and Base Datatypes" },
                  { url: "tsl/langcodes.htm", title: "Appendix 2: Language and Country Codes" },
                  { url: "tsl/Examples.htm", title: "Appendix 3: Examples" },
                  { url: "tsl/exschemas.htm", title: "Appendix 5: Example Schemas for Indexing" },
              ]
            },
            { url: "xquery/xq-over.htm", title: "XQuery User Guide",
              tree: [
                  { url: "xquery/xq-firstSteps.htm", title: "First Steps",
                    tree: [
                        { url: "xquery/xq-bib.htm", title: "Sample bib" },
                        { url: "xquery/xq-reviews.htm", title: "Sample reviews" },
                        { url: "xquery/xq-query-examples.htm", title: "Query Examples" },
                    ]
                  },
                  { url: "xquery/xq-intro.htm", title: "The Concepts of XQuery",
                    tree: [
                        { url: "xquery/xq-nutsnbolts.htm", title: "The Nuts and Bolts of XQuery" },
                        { url: "xquery/xq-flwr.htm", title: "FLWOR Expressions" },
                        { url: "xquery/xq-update.htm", title: "Performing Update Operations" },
                        { url: "xquery/callwebservice.htm", title: "Calling XQuery through a Web Service" },
                        { url: "xquery/crud_usage_ws.htm", title: "CRUD Usage of a Tamino Doctype as a Web Service" },
                        { url: "xquery/xq-advanced.htm", title: "Advanced Usage" },
                        { url: "xquery/xq-retrieval.htm", title: "Text Retrieval" },
                    ]
                  },
                  { url: "xquery/xq-related.htm", title: "Related Information" },
              ]
            },
            { url: "xql/xqlover.htm", title: "X-Query User Guide",
              tree: [
                  { url: "xql/xqlintro.htm", title: "What is X-Query?" },
                  { url: "xql/xqlconcepts.htm", title: "XPath 1.0 and X-Query" },
                  { url: "xql/xqlgetst.htm", title: "Querying XML Sample Documents" },
                  { url: "xql/xqlinfo.htm", title: "Related Information" },
              ]
            },
            { url: "servext/sepref.htm", title: "X-Tension: Tamino Server Extensions",
              tree: [
                  { url: "servext/seintro.htm", title: "Introduction" },
                  { url: "servext/seprereq.htm", title: "Prerequisites" },
                  { url: "servext/setypes.htm", title: "Tamino Server Extension Functions" },
                  { url: "servext/seadmin.htm", title: "Administrating Tamino Server Extensions" },
                  { url: "servext/secall.htm", title: "Calling Tamino Server Extensions" },
                  { url: "servext/sefail.htm", title: "Failure of Tamino Server Extension Functions" },
                  { url: "servext/setrace.htm", title: "Tracing Tamino Server Extensions" },
                  { url: "servext/setools.htm", title: "X-Tension Tools" },
                  { url: "servext/seex.htm", title: "Tamino Server Extension Examples" },
                  { url: "servext/sxapp.htm", title: "Example: XSLT Server Extension" },
              ]
            },
            { url: "xnode/xnover.htm", title: "X-Node: Mapping to External Databases",
              tree: [
                  { url: "xnode/xnadabas.htm", title: "X-Node Access to Adabas" },
                  { url: "xnode/xnexamp.htm", title: "X-Node Mapping Examples" },
              ]
            },
            { url: "communications/cgover.htm", title: "Communication with Tamino's X-Machine",
              tree: [
                  { url: "communications/cgintro.htm", title: "Introduction" },
                  { url: "communications/cgcometh.htm", title: "Communication Methods" },
                  { url: "communications/cgwebser.htm", title: "Web Servers" },
                  { url: "communications/cgnowbsr.htm", title: "Webserverless APIs" },
                  { url: "communications/cgsecur.htm", title: "Security" },
                  { url: "communications/cgrqhand.htm", title: "Request Handling in the Server" },
              ]
            },
            { url: "advconc/advover.htm", title: "Advanced Concepts",
              tree: [
                  { url: "advconc/FromConceptualModeltoSchema.htm", title: "From Conceptual Model to Schema",
                    tree: [
                        { url: "advconc/Informaldescription.htm", title: "Informal Description" },
                        { url: "advconc/Conceptualmodeling.htm", title: "Conceptual Modeling" },
                        { url: "advconc/IntroductionintoXMLSchema.htm", title: "Introduction to XML Schema" },
                        { url: "advconc/FromModeltoSchema.htm", title: "From Model to Schema" },
                        { url: "advconc/Integrity.htm", title: "Integrity" },
                        { url: "advconc/Operations.htm", title: "Operations" },
                        { url: "advconc/FromUMLtoXML.htm", title: "From UML to XML" },
                        { url: "advconc/Schemarelatedwebsites.htm", title: "Schema-Related Web Sites" },
                    ]
                  },
                  { url: "advconc/FromSchematoTamino.htm", title: "From Schema to Tamino",
                    tree: [
                        { url: "advconc/TaminoannotationsinXMLSchema.htm", title: "Tamino Annotations in XML Schema" },
                        { url: "advconc/Namespacesupport.htm", title: "Namespace Support" },
                        { url: "advconc/Indexing.htm", title: "Indexing" },
                        { url: "advconc/DocumentComposition.htm", title: "Document Composition" },
                        { url: "advconc/Efficientquerying.htm", title: "Efficient Querying" },
                        { url: "advconc/Performance.htm", title: "Performance Issues" },
                    ]
                  },
                  { url: "advconc/UtilizingServerExtensions.htm", title: "Utilizing Server Extensions",
                    tree: [
                        { url: "advconc/Whataretheygoodfor.htm", title: "What are they Good For?" },
                        { url: "advconc/Queries.htm", title: "Queries" },
                        { url: "advconc/Derivedelements.htm", title: "Derived Elements" },
                        { url: "advconc/Maintainingsemanticintegrity.htm", title: "Maintaining Semantic Integrity" },
                        { url: "advconc/Buildingupalibrary.htm", title: "Building Up a Library" },
                        { url: "advconc/Moreexamples.htm", title: "More Examples" },
                    ]
                  },
                  { url: "advconc/RapidApplicationDevelopment.htm", title: "Rapid Application Development with Tamino",
                    tree: [
                        { url: "advconc/IntroductionintoXSLT.htm", title: "Introduction to XSLT" },
                        { url: "advconc/Mappingaschematoawebpage.htm", title: "Mapping a Schema to a Web Page" },
                        { url: "advconc/Navigation.htm", title: "Navigation with XLink" },
                        { url: "advconc/TheTaminoJavaScriptAPI.htm", title: "The Tamino JavaScript API" },
                        { url: "advconc/XSLTsummary.htm", title: "XSLT Summary" },
                        { url: "advconc/RapidPrototypingwithXQuery.htm", title: "Rapid Prototyping with XQuery 4" },
                    ]
                  },
              ]
            },
            { url: "namespace/Namespace.htm", title: "XML Namespaces in Tamino",
              tree: [
                  { url: "namespace/nsp-gen-info.htm", title: "General Information on Namespaces" },
                  { url: "namespace/nsp-means-TSD4.htm", title: "Namespace-Related Facilities in XML Schema and in TSD4" },
                  { url: "namespace/nsp-migr-upd.htm", title: "Upgrade and Migration" },
                  { url: "namespace/nsp-spec-req.htm", title: "Namespace Handling for Specific X-Machine Requests" },
              ]
            },
            { url: "unicode/unicode.htm", title: "Unicode and Text Retrieval" },
            { url: "perform/pgover.htm", title: "Performance Guide",
              tree: [
                  { url: "perform/DBparams.htm", title: "Use of Database Parameters" },
                  { url: "perform/DataModelling.htm", title: "Data Modeling" },
                  { url: "perform/TuningSchemas.htm", title: "Tuning Schemas and Queries" },
                  { url: "perform/AdvancedIndexes.htm", title: "Advanced Indexes" },
                  { url: "perform/EfficientXQuery.htm", title: "Efficient Queries: XQuery" },
                  { url: "perform/EfficientX-queries.htm", title: "Efficient Queries: X-Query" },
                  { url: "perform/inoexplain.htm", title: "Query Processing Analysis" },
                  { url: "perform/SuppressedLookup.htm", title: "Suppressed Lookup of Index Entries" },
                  { url: "perform/HardwareConfig.htm", title: "Hardware Configuration" },
                  { url: "perform/CaseStudy.htm", title: "Performance Tuning - A Case Study" },
              ]
            },
            { url: "transact/ugxact.htm", title: "Transactions Guide",
              tree: [
                  { url: "transact/tg-intro.htm", title: "Introduction" },
                  { url: "transact/tg-xact-modes.htm", title: "Transaction Modes" },
                  { url: "transact/tg-iso-level.htm", title: "Isolation Levels and Locking" },
                  { url: "transact/tg-lock-modes.htm", title: "Transaction Parameters" },
                  { url: "transact/tg-deadlock.htm", title: "Deadlocks and Deadlock Prevention" },
                  { url: "transact/tg-examples.htm", title: "Examples and Scenarios" },
                  { url: "transact/tg-app-1.htm", title: "Appendix 1 - Complete Java Code example of Scenario 1" },
              ]
            },
            { url: "inoapi/apiover.htm", title: "Tamino API for Java",
              tree: [
                  { url: "inoapi/relnotes.htm", title: "Release Notes" },
                  { url: "inoapi/apiintro.htm", title: "Introduction" },
                  { url: "inoapi/apijava.htm", title: "Tamino API for Java Component Profile and Set-up" },
                  { url: "inoapi/apihello.htm", title: "Say Hello!" },
                  { url: "inoapi/apiarch.htm", title: "Architectural Overview" },
                  { url: "inoapi/apimore.htm", title: "Doing More with the API",
                    tree: [
                        { url: "inoapi/apipersons.htm", title: "Get Personal" },
                        { url: "inoapi/saxpack.htm", title: "SAX Package: Using SAX Object Model" },
                        { url: "inoapi/apidom4j.htm", title: "DOM4J: Adding an Object Model" },
                        { url: "inoapi/apijazz.htm", title: "All that Jazz" },
                        { url: "inoapi/apiref.htm", title: "Reference Documentation" },
                    ]
                  },
                  { url: "inoapi/srvless.htm", title: "Webserverless Access Via the Tamino API for Java" },
                  { url: "inoapi/perf.htm", title: "Performance Tips and Tricks" },
                  { url: "inoapi/duration.htm", title: "Measuring Operation Duration" },
                  { url: "inoapi/apiexcode.htm", title: "Examples in Code" },
              ]
            },
            { url: "inoapi4c/api4c-over.htm", title: "Tamino API for C",
              tree: [
                  { url: "inoapi4c/api4c-intro.htm", title: "Introduction" },
                  { url: "inoapi4c/api4c-install.htm", title: "Component Profile and Setup" },
                  { url: "inoapi4c/api4c-use.htm", title: "Using the API" },
                  { url: "inoapi4c/api4c-exa.htm", title: "Examples" },
                  { url: "inoapi4c/api4c-ref.htm", title: "Tamino API for C Reference",
                    tree: [
                        { url: "inoapi4c/api4c-rc.htm", title: "Return and Error Codes" },
                        { url: "inoapi4c/api4c-basiccmd.htm", title: "Basic Commands" },
                        { url: "inoapi4c/api4c-transcmd.htm", title: "Transaction-Related Commands" },
                        { url: "inoapi4c/api4c-cursorcmd.htm", title: "Cursor-Related Commands" },
                    ]
                  },
                  { url: "inoapi4c/api4c-filehand.htm", title: "File Handling Reference" },
              ]
            },
            { url: "jsapi/apiover.htm", title: "HTTP Client API for JScript",
              tree: [
                  { url: "jsapi/apiintro.htm", title: "Introduction" },
                  { url: "jsapi/apiinfo.htm", title: "Component Profile and Installation" },
                  { url: "jsapi/apiusing.htm", title: "Using the API" },
                  { url: "jsapi/apiexam.htm", title: "Example" },
                  { url: "jsapi/apiref.htm", title: "JScript API Reference",
                    tree: [
                        { url: "jsapi/TaminoClient.htm", title: "TaminoClient" },
                        { url: "jsapi/TaminoResult.htm", title: "TaminoResult" },
                        { url: "jsapi/URI.htm", title: "URI" },
                    ]
                  },
              ]
            },
            { url: "tsded/edover.htm", title: "Tamino Schema Editor",
              tree: [
                  { url: "tsded/edintro.htm", title: "Introducing the Tamino Schema Editor" },
                  { url: "tsded/edfirst.htm", title: "First Steps with the Tamino Schema Editor" },
                  { url: "tsded/edstart.htm", title: "Starting and Leaving the Tamino Schema Editor" },
                  { url: "tsded/edelements.htm", title: "Elements of the Application Window" },
                  { url: "tsded/edmanage.htm", title: "Managing Schemas in Tamino and in the File System" },
                  { url: "tsded/edimport.htm", title: "Importing DTDs and TSD2 Schemas" },
                  { url: "tsded/edimportadabas.htm", title: "Importing Adabas" },
                  { url: "tsded/ededit.htm", title: "Editing a Schema" },
                  { url: "tsded/edtransform.htm", title: "Transforming and Converting Schema Constructs" },
                  { url: "tsded/edinsert.htm", title: "Schema Tree Items Explained" },
                  { url: "tsded/edprop.htm", title: "Properties Explained" },
                  { url: "tsded/edmenus.htm", title: "Menu Commands" },
                  { url: "tsded/encodings.htm", title: "Supported Character Encodings" },
                  { url: "tsded/edcommandlinetools.htm", title: "Command Line Tools for Schema Conversions" },
              ]
            },
            { url: "xplorer/xplover.htm", title: "Tamino X-Plorer",
              tree: [
                  { url: "xplorer/intro.htm", title: "Introducing the Tamino X-Plorer" },
                  { url: "xplorer/install.htm", title: "Installing the Tamino X-Plorer" },
                  { url: "xplorer/firststeps.htm", title: "First Steps with the Tamino X-Plorer" },
                  { url: "xplorer/xplworkpart.htm", title: "Using the Tamino X-Plorer",
                    tree: [
                        { url: "xplorer/getstartgeneral.htm", title: "Starting and Leaving the Tamino X-Plorer" },
                        { url: "xplorer/getstartelements.htm", title: "Elements of the Main Application Window" },
                        { url: "xplorer/servers.htm", title: "Servers and Databases" },
                        { url: "xplorer/browse.htm", title: "Browsing Through a Tamino Database" },
                        { url: "xplorer/manage.htm", title: "General Commands for Managing Different Types of Objects" },
                        { url: "xplorer/schemas.htm", title: "Working with Schemas" },
                        { url: "xplorer/instances.htm", title: "Working with Instances" },
                        { url: "xplorer/customize.htm", title: "Customizing the Tools" },
                        { url: "xplorer/options.htm", title: "Setting the Tamino X-Plorer and X-Query Options" },
                        { url: "xplorer/WebDAVenabled.htm", title: "Instances in WebDAV Enabled Collection" },
                    ]
                  },
                  { url: "xplorer/xplquerypart.htm", title: "Performing X-Queries with the Tamino X-Plorer",
                    tree: [
                        { url: "xplorer/querygeneral.htm", title: "Invoking and Closing X-Query Windows" },
                        { url: "xplorer/queryelements.htm", title: "Elements of an X-Query Window" },
                        { url: "xplorer/querywork.htm", title: "Working with X-Queries" },
                        { url: "xplorer/resultmanage.htm", title: "Managing X-Query Results" },
                    ]
                  },
                  { url: "xplorer/xqtover.htm", title: "Using the Tamino XQuery Tool",
                    tree: [
                        { url: "xplorer/xqtstart.htm", title: "Starting and Leaving the Tamino XQuery Tool" },
                        { url: "xplorer/xqtelements.htm", title: "Elements of the Tamino XQuery Window" },
                        { url: "xplorer/xqtwork.htm", title: "Working with the Tamino XQuery Tool" },
                        { url: "xplorer/xqtresults.htm", title: "Managing XQuery Results" },
                        { url: "xplorer/xqtoptions.htm", title: "Setting the Tamino XQuery Tool Options" },
                    ]
                  },
                  { url: "xplorer/reference.htm", title: "Reference",
                    tree: [
                        { url: "xplorer/cmdmain.htm", title: "Menu Commands in the Main Application Window" },
                        { url: "xplorer/cmdquery.htm", title: "Menu Commands in an X-Query Window" },
                        { url: "xplorer/xqtcommands.htm", title: "Menu Commands in a Tamino XQuery Window" },
                        { url: "xplorer/tools.htm", title: "Predefined External Tools" },
                        { url: "xplorer/encodings.htm", title: "Supported Character Encodings" },
                    ]
                  },
              ]
            },
            { url: "docker/docker-over.htm", title: "Tamino with Docker",
              tree: [
                  { url: "docker/docker_prerequ.htm", title: "Prerequisites for Building a Docker Image" },
                  { url: "docker/docker_build.htm", title: "Building Tamino Docker Images" },
                  { url: "docker/docker_license.htm", title: "Bring your own License" },
              ]
            },
            { url: "general/legal.htm", title: "Copyright" },
        ]
};

var mainProject = 1;

$.event.trigger({ type: "fishidbloaded", db: taminoxmlserver });
